/*
 *  ofxSOFilter.h
 *  openFrameworks
 *
 *  Created by base on 10/25/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef  OFX_SOFILTER
#define  OFX_SOFILTER
#include "ofxBaseSndObj.h"
#include "ofxSndObj.h"

#include <string>

class ofxSndObj;

class ofxSOFilter : public ofxBaseSndObj {

public:
	
	ofxSOFilter();
	~ofxSOFilter();
	
	string getType();
	
	//possible types are AllPass, HiPass, LoPass, Reson
	void init(ofxSndObj* parent, string filterType, float frequency, float bandwidth, ofxBaseSndObj inObject, int type);
	void tuneFilter(float frequency, float bandwidth);
	
protected:
	
	ofxSndObj* sndobj;
	
};

#endif