/*
 *  ofxSOOscilator.h
 *  openFrameworks
 *
 *  Created by joshua noble on 10/21/08.
 *  Copyright 2008 __MyCompanyName__. All rights reserved.
 *
 */

#ifndef ofxSO_OSCILATOR
#define ofxSO_OSCILATOR

#include "ofxBaseSndObj.h"
#include "ofxSOTable.h"

class ofxSndObj;
class ofxSOTable;

class ofxSOOscilator : public ofxBaseSndObj
{
	public:
	
		ofxSOOscilator(ofxSndObj* parent, ofxSOTable t, float frequency, float amp);
		ofxSOOscilator();
		~ofxSOOscilator();
		void init(ofxSndObj* parent, ofxSOTable t, float frequency, float amp);
		void init(ofxSndObj* parent, ofxSOTable t, float frequency, float amp, ofxBaseSndObj b, int type);
		int setFrequency(float frequency);
		int setAmp(float amplitude);
		
		string getType();
protected:
			
			ofxSndObj* sndobj;
};

#endif